Get board

GET
https://example.kaiten.ru/api/latest/spaces/{space_id}/boards/{id}
Path parameters
NameTypeReference
space_idrequiredintegerSpace ID
idrequiredintegerBoard ID
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
created

string

Create date
updated

string

Last update timestamp
id

integer

Board id
title

string

Board title
cell_wip_limits

null | array

JSON containing wip limits rules for cells
external_id

null | string

External id
default_card_type_id

integer

Default card type for new cards on board
description

string

Board description
email_key

string

Email key
move_parents_to_done

boolean

Automatically move parent cards to done when their children cards on this board is done
default_tags

null | string

Default tags
first_image_is_cover

boolean

Automatically mark first uploaded card's image as card's cover
reset_lane_spent_time

boolean

Reset lane spent time when card changed lane
backward_moves_enabled

boolean

Allow automatic backward movement for summary boards
hide_done_policies

boolean

Hide done checklist policies
hide_done_policies_in_done_column

boolean

Hide done checklist policies only in done column
automove_cards

boolean

Automatically move cards depending on their children state
auto_assign_enabled

boolean

Automatically assign a user to the card when he/she moves the card if the user is not a member of the card
card_properties

null | array of objects

Schema
Properties of the board cards suggested for filling
columns

array of objects

Schema
Board columns
lanes

array of objects

Schema
Board lanes
cards

array of objects

Schema
Board cards
top

integer

Y coordinate of the board on space
left

integer

X coordinate of the board on space
sort_order

number

Position
space_id

integer

Board spaceId
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_id}/boards/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!